---
title: Designing a replacement piece for a microwave oven plate (and its failure)
date: 2016-02-21T09:58:00
draft: false
---
The glass plate of my microwave oven broke, and the only compatible plate that could be found at the local pawn/charity shop didn't have the little tabs on the bottom to assure a connection with the motor : it couldn't spin.

To solve this problem, I decided to design and 3D-print a plastic piece that could be glued on the bottom of the new plate.

![broken plate with ruler](broken_plate_with_ruler.jpg)

Here you can see the biggest piece that could be saved from the terror of the bin. I took measurements, and for more accuracy, of course the ruler had to be pink.

After having taken some measurements, it was time for me to sketch an idea of how the piece would look like :

![](/images/2016-10-16-14.44.42-copy-940x1024.jpg)

Again : no pink, no accuracy.

It was then time to design the piece in CAD : I chose Solidworks to test it out. It was a bit difficult :

![capture](capture.png)

But yep, I found it awesome, even though it's just a very simple piece.

Then I discovered Solidworks could generate technical drawings : Ow yes !

![piece3](piece3.jpg)

I feel like a real engineer now

I then exported the 3D file to be 3D printed. This file, if needed, can be found on [Thingiverse, the website hosting thousands of 3D models for printing](http://www.thingiverse.com/thing:1843328)

![2016-10-21-15-19-49](2016-10-21-15-19-49.jpg)

My cheap Chinese inaccurate falling-apart but beloved 3D printer doing its job.

![2016-10-21-15-25-39](2016-10-21-15-25-39.jpg)

And there it is, all finished.

Then I glued it at the bottom of the new plate : (use microwave-safe epoxy, not CA/super glue

![2016-10-22-11-11-57](2016-10-22-11-11-57.jpg)

There it is glues at the bottom of the plate

![2016-10-22-11-12-16](2016-10-22-11-12-16.jpg)

A view from the underside

In the end, this fix worked really well. We now have a working rotating microwave-oven ! YAY !

Edit :

Now I was all happy about this piece working great, until one day, I decided to make some microwave popcorn (you know, the paper bags)... Well this heated the plate and melted off the plastic piece...

![](/images/hfuwzrrr.bmp)
The melted off piece

Well, I guess I'll have to print another one now...

You might have to consider this if you want to make one yourself...